<template>
  <v-card>
    <v-card-title>
      <v-row justify="center">
        <v-icon class="iconTitle" x-large color="primary">mdi-link-variant</v-icon>
      </v-row>
    </v-card-title>
    <v-card-subtitle class="pa-0">
      <v-row justify="center" no-gutters>
        <span class="sub secondary--text">Url do Link</span>
        <v-col cols="10">
          <v-row no-gutters>
            <v-col cols="12">
              <v-text-field v-model="urlLink" placeholder="http://www.enderecodolink.com"></v-text-field>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
    </v-card-subtitle>
    <v-card-text>
      <v-card-actions class="pa-0 ma-0">
        <v-row justify="center" no-gutters>
          <v-btn color="primary" class="mr-2" text outlined @click="ok">Ok</v-btn>
          <v-btn color="primary" text outlined @click="close">Cancelar</v-btn>
        </v-row>
      </v-card-actions>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  name: 'DialogURL',

  props: {
    // uploadDialog: {
    //   type: Boolean,
    //   default: false,
    // },
  },
  data: () => ({
    urlLink: '',
  }),

  computed: {},
  watch: {},

  methods: {
    close() {
      this.$emit('closeUrlDialog')
      this.urlLink = ''
    },
    ok() {
      this.$emit('linkUrl', this.urlLink)
      this.urlLink = ''
    },
  },
}
</script>
<style scoped>
.iconTitle {
  padding-top: 15px;
  padding-bottom: 25px;
  transform: scale(1.5);
}
.upload {
  padding-top: 15px;
  padding-bottom: 25px;
}
.sub {
  font-size: 1.2rem;
}
</style>
